/*
 * JBoss, Home of Professional Open Source
 * Copyright 2009, Red Hat Middleware LLC, and individual contributors
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.metatype.plugins.values.defaults;

import javax.management.ObjectName;

import org.jboss.metatype.api.types.MetaType;
import org.jboss.metatype.api.values.MetaValue;
import org.jboss.metatype.plugins.types.ObjectNameTypeBuilder;
import org.jboss.metatype.plugins.values.mappers.PropertiesCompositeObjectNameMetaMapper;
import org.jboss.metatype.spi.values.DefaultValueBuilder;

/**
 * A DefaultValueBuilder for ObjectName types of MetaValues. This handles
 * MetaTypes for the known MetaMapper<ObjectName> implementations.
 * 
 * @author Scott.Stark@jboss.org
 * @version $Revision:$
 */
public class ObjectNameDefaultValueBuilder
   implements DefaultValueBuilder
{
   public MetaType getType()
   {
      return ObjectNameTypeBuilder.META_TYPE;
   }

   public MetaValue buildMetaValue(String value)
      throws Exception
   {
      ObjectName ovalue = new ObjectName(value);
      PropertiesCompositeObjectNameMetaMapper mapper = new PropertiesCompositeObjectNameMetaMapper();
      MetaValue mvalue = mapper.createMetaValue(getType(), ovalue);         
      return mvalue;
   }

}
